Board index FlightGear Support Compiling

download_and_compile.sh on Debian on WSL  Topic is solved

Building FlightGear from source, and in the need for help?

download_and_compile.sh on Debian on WSL

Postby pb321 » Thu Jun 11, 2020 10:01 pm

I tried the download_and_compile script today using the guide at http://wiki.flightgear.org/Scripted_Compilation_on_Linux_Debian/Ubuntu#TerraGear with "close but no cigar" results and would appreciate some help. I am running Debian in Windows 10 (Windows Subsystem for Linux). The SimGear FlightGear Data resulted in the following:
Code: Select all
-- FGPanel (Raspberry Pi) : DISABLED
-- FGPanel : ENABLED
-- Found OpenAL: /usr/lib/x86_64-linux-gnu/libopenal.so
-- CppUnit: Building the FlightGear supplied CppUnit library
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    ENABLE_FLITE


-- Build files have been written to: /home/pb321/flightgear/dnc-managed/build/flightgear
MAKE flightgear
Scanning dependencies of target fgfs_nl_qm
[  0%] Generating FlightGear_nl.qm
/usr/lib/qt5/bin/lrelease: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory
make[2]: *** [CMakeFiles/fgfs_nl_qm.dir/build.make:61: FlightGear_nl.qm] Error 127
make[1]: *** [CMakeFiles/Makefile2:73: CMakeFiles/fgfs_nl_qm.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
INSTALL flightgear
[  0%] Generating FlightGear_nl.qm
/usr/lib/qt5/bin/lrelease: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory
make[2]: *** [CMakeFiles/fgfs_nl_qm.dir/build.make:61: FlightGear_nl.qm] Error 127
make[1]: *** [CMakeFiles/Makefile2:73: CMakeFiles/fgfs_nl_qm.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
All optional package alternatives have found a matching package.

download_and_compile.sh has finished to work.
pb321@Lenovo:~/flightgear/dnc-managed$ cd ~/flightgear/dnc-managed
pb321@Lenovo:~/flightgear/dnc-managed$ ./run_fgfs.sh --launcher
./run_fgfs.sh: 3: cd: can't cd to install/flightgear/bin
./run_fgfs.sh: 5: ./run_fgfs.sh: ./fgfs: not found
pb321@Lenovo:~/flightgear/dnc-managed$ ls
build                flightgear  run_fgcom.sh       run_fgfs.sh  simgear
compilation_log.txt  install     run_fgfs_debug.sh  run_ldd.sh
pb321@Lenovo:~/flightgear/dnc-managed$ cd install/flightgear/binI
-bash: cd: install/flightgear/bin: No such file or directory


So it appears it did not create the binary. What have I done wrong or what do I need to do to get it to create the binary?

I then tried compiling Terragear and Terrageargui. Both were successful but you will see "Cannot connect to X server" when I tried to run Terrageargui:
Code: Select all
[100%] Linking CXX executable TerraGUI
[100%] Built target TerraGUI
INSTALL terrageargui
[100%] Built target TerraGUI
Install the project...
-- Install configuration: "Release"
-- Installing: /home/pb321/flightgear/dnc-managed/install/terrageargui/bin/TerraGUI
All optional package alternatives have found a matching package.

download_and_compile.sh has finished to work.
pb321@Lenovo:~/flightgear/dnc-managed$ ./run_terrageargui.sh
TerraGUI: cannot connect to X server


What do I need to do now?
Last edited by pb321 on Sat Jun 13, 2020 4:31 pm, edited 1 time in total.
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Re: download_and_compile.sh on Debian

Postby pb321 » Thu Jun 11, 2020 10:38 pm

For the "Cannot connect to X-server" issue, found out an X-server app is required on Windows for a graphical application such as TerragearGUI to run! So one issue is resolved.
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Re: download_and_compile.sh on Debian

Postby legoboyvdlp » Thu Jun 11, 2020 10:44 pm

Hi,

You seem to be missing some QT5 libraries:

Code: Select all
/usr/lib/qt5/bin/lrelease: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory



On my system, I add C:/Qt/5.10.1/msvc2017_64 to CMAKE_PREFIX_PATH and it picks up everything automatically. I'm not sure what the equivalent on a Debian system is, unfortunately.
User avatar
legoboyvdlp
 
Posts: 7674
Joined: Sat Jul 26, 2014 1:28 am
Location: Northern Ireland
Callsign: G-LEGO
Version: next
OS: Windows 10 HP

Re: download_and_compile.sh on Debian

Postby pb321 » Fri Jun 12, 2020 12:33 am

Thank you, @legoboyvdlp! You've pointed me in the right direction, so I'm researching and learning in the process of finding out how to do this in Debian on WSL. If anyone knows the complete answer, however, it will save some time.
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Re: download_and_compile.sh on Debian

Postby WoodSTokk » Fri Jun 12, 2020 7:40 am

Code: Select all
$apt-file find /usr/lib/qt5/bin/lrelease
qttools5-dev-tools: /usr/lib/qt5/bin/lrelease


The relevant files are in the package 'qttools5-dev-tools'.
WoodSTokk
 
Posts: 543
Joined: Tue Oct 17, 2017 2:30 pm
Location: Milky Way/Sol/Earth/Europe
Callsign: OE-WST
IRC name: WoodSTokk
Version: 2020.3.0
OS: Debian Buster

Re: download_and_compile.sh on Debian on WSL

Postby pb321 » Sat Jun 13, 2020 1:01 am

Thank you, @WoodSTokk. I ran into yet another issue, a permission problem that didn't allow me to use apt-get, among other things. I tried to repair Debian using the WSL "Repair" option, but it did not help. After trying several things, I decided to uninstall Debian and install Ubuntu 20.04. I now have SimGear compiled and it's cloning FGData. During the process, I could see it installed qttools5-dev-tools. Do you know if the Debian distro for the Windows Subsystem includes these tools in the install?
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Re: download_and_compile.sh on Debian on WSL

Postby pb321 » Sat Jun 13, 2020 4:34 pm

I'm now uninstalling Ubuntu 20.04. It doesn't allow installation of QT4 (not available in its package library) which is required to build Terragear GUI. I'm going to try installing Ubuntu 18.04 and see what happens. From what I've read, QT4 is still available for 18.04.
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Re: download_and_compile.sh on Debian on WSL

Postby Hooray » Sat Jun 13, 2020 9:50 pm

wouldn't it be easier to port/update the sources to use Qt5 ?
I mean, there are people on the devel list working towards a built-in Qt5 UI anyway, some of whom are doing this for a living - so, it might make more sense to discuss this on the devel list and check what needs to be done to update the TerraGear UI - either way, re-installing a whole distro because some program happens to use an outdated dependency, seems like overkill to me ?

Again, it's your choice obviously, but there must be better ways, even if that means using a VM/container to run the TerraGear UI
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11836
Joined: Tue Mar 25, 2008 8:40 am

Re: download_and_compile.sh on Debian on WSL

Postby pb321 » Sat Jun 13, 2020 11:44 pm

Hi Hooray. I'm aware from reading some of your posts that you are an experienced developer. I don't have that kind of background, with limited programming experience and mostly with much older languages. So I have no doubt you are correct.

My primary interest is getting the latest version of Terragear to make scenery. I'm working on some custom scenery now, so I'd like to get it soon. I've been using a Windows build from 2015, if I remember correctly. It works well but I had read about changes since that I thought might be good to have. I tried compiling a couple times with FG-from-scratch but was not successful. I also tried with Docker but I have old computers without hyper-v and eventually abandoned that approach.

I had Terragear and Terragear GUI built and working using Debian but thought I'd like to also have the ability to compile with the entire D&C script, just for the satisfaction of knowing I was able to do it However, I'm running into a problem cloning fgdata under Ubuntu. So I was better off where I was.

While I read the Dev list to stay current with what's going on, I never thought to ask for an update to Terragear, especially after reading that work is being done on WS3.
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Re: download_and_compile.sh on Debian on WSL

Postby pb321 » Mon Jun 15, 2020 9:52 pm

For any future users of Debian or Ubuntu on WSL, I thought I'd provide an update. Thank you, @Hooray! At first I misunderstood what you were saying, thinking you meant I should request a change to Terragear. But you probably meant the d&c script which could be changed to query: if on Debian, add qttools5-dev-tools and for those on Ubuntu 20.04 and to update the Terragear build, change the script to use QT5 instead of QT4.

So I was able to return to Debian on WSL , install qttools5-dev-tools (thank you @WoodSTock) compile Terragear and Terragear GUI, and make them work with VcXsrv as the X-window server! Turned out the problem I had on Ubuntu 18.04 was also encountered when trying to clone the DATA on Debian:
Code: Select all
ECDSA key fingerprint is SHA256:FeVkoYYBjuQzb5QVAgm3BkmeN5TTgL2qfmqz9tCPRL4.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'git.code.sf.net,216.105.38.16' (ECDSA) to the list of known hosts.
Password:
remote: Enumerating objects: 72653, done.
remote: Counting objects: 100% (72653/72653), done.
remote: Compressing objects: 100% (29580/29580), done.
Connection reset by 216.105.38.16 port 2262 GiB | 304.00 KiB/s
fatal: the remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed


It would download nearly 3 gb of the DATA (88% + done), then quit with the above message. It did this on both Ubuntu 18.04 and Debian. Debian had successfully completed the DATA run before so I figured it could do it again. I moved from a wireless connection to a wired connection and it was successful.

So then I thought I'd give Flightgear another go. It compiled SIMGEAR and compiled OSG. It then went on to FGFS and got this far:
Code: Select all
-- Build files have been written to: /home/pb321/flightgear/dnc-managed/build/flightgear
MAKE flightgear
Scanning dependencies of target fgfs_nl_qm
[  0%] Generating FlightGear_nl.qm
/usr/lib/qt5/bin/lrelease: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory
make[2]: *** [CMakeFiles/fgfs_nl_qm.dir/build.make:61: FlightGear_nl.qm] Error 127
make[1]: *** [CMakeFiles/Makefile2:73: CMakeFiles/fgfs_nl_qm.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
INSTALL flightgear
[  0%] Generating FlightGear_nl.qm
/usr/lib/qt5/bin/lrelease: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory
make[2]: *** [CMakeFiles/fgfs_nl_qm.dir/build.make:61: FlightGear_nl.qm] Error 127
make[1]: *** [CMakeFiles/Makefile2:73: CMakeFiles/fgfs_nl_qm.dir/all] Error 2
make: *** [Makefile:163: all] Error 2
All optional package alternatives have found a matching package.

download_and_compile.sh has finished to work.


I tried the following which I found in a couple of discussions on the Internet:
Code: Select all
find /lib /usr/lib /usr/libexec -name '*.so' | xargs strip --remove-section=.note.ABI-tag


It didn't seem to do anything, with several lines of this type:
Code: Select all
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_dmx_mng.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_dmx_modplug.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_dmx_nsv.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_dmx_playlist.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_dmx_pva.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_dmx_slave.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_dmx_video.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_flac.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_inp_bluray.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_inp_cdda.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_inp_dvb.so: could not create temporary file to hold stripped copy: no error
strip:/usr/lib/x86_64-linux-gnu/xine/plugins/2.7/xineplug_inp_dvd.so: could not create temporary file to hold stripped copy: no error


So, unless someone has a suggestion, I guess I'll be content with having a working copy of the latest Terragear and TerragearGUI.
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Re: download_and_compile.sh on Debian on WSL

Postby xDraconian » Tue Jun 16, 2020 12:40 am

Hi @pb321,

Here is the important line...
Code: Select all
/usr/lib/qt5/bin/lrelease: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory


While running lrelease, it encountered an error attempting to load file libQt5Core.so.5 which lrelease requires.

I'm guessing you will find file libQt5Core.so.5 within folder /usr/lib/qt5/lib.

After confirming the file does exist, add the following within the terminal before running d&c:
export LD_LIBRARY_PATH=/usr/lib/qt5/lib:${LD_LIBRARY_PATH}

the following would also work...
LD_LIBRARY_PATH=/usr/lib/qt5/lib:${LD_LIBRARY_PATH} ./download_and_compile.sh ...

Scott
xDraconian
 
Posts: 329
Joined: Sun Jan 21, 2018 5:53 am
Version: Git
OS: Linux Mint

Re: download_and_compile.sh on Debian on WSL

Postby rominet » Tue Jun 16, 2020 2:32 pm

If the lrelease program found is the one from Debian or Ubuntu and gives the error 'libQt5Core.so.5: cannot open shared object file: No such file or directory', then something is very wrong with either that """Debian""" or """Ubuntu""" installation or, as Scott implied, the LD_LIBRARY_PATH setup (or /etc/ld.so.conf & friends).

Regarding the error obtained when cloning FGData and the protocol used for this operation, pb321 should be able to very simply avoid it by using the latest version of download_and_compile.sh (and not use the --git-clone-site-params option, as it is not needed anymore for typical use[1]). See this message for details.

[1] Still, I believe the error would have gone away by simply retrying after supposedly adding the SSH key of the remote host—at least, I've never obtained the dreaded download error when using the ssh protocol: the worst you can have is a timeout when verifying the remote host key fingerprint or typing your SourceForge password, but once you've added the key and typed your password without letting ssh wait for your input during minutes, it has always worked flawlessly for me. But I repeat: with the new version, all downloads should just work using https. Current download_and_compile.sh asks you before cloning FGData[2] and downloads it from its official mirror at GitLab before switching to SourceForge to get the latest updates.

[2] Pass option --non-interactive to download_and_compile.sh if you want to skip the question and automatically use the default answer, which is: clone FGData from GitLab and later update it from SourceForge (all this using https by default).
rominet
 
Posts: 577
Joined: Sat Nov 01, 2014 1:33 pm
Callsign: F-KATS
Version: Git next
OS: Debian GNU/Linux

Re: download_and_compile.sh on Debian on WSL

Postby pb321 » Tue Jun 16, 2020 2:42 pm

I appreciate your help, @xDraconian!
I checked for the file and here's the result:
Code: Select all
pb321@Lenovo:~$ cd /usr/lib/qt5/lib
-bash: cd: /usr/lib/qt5/lib: No such file or directory
pb321@Lenovo:~$ cd /usr/lib/qt5
pb321@Lenovo:/usr/lib/qt5$ ls
bin
pb321@Lenovo:/usr/lib/qt5$ cd /usr/lib/qt5/bin
pb321@Lenovo:/usr/lib/qt5/bin$ ls
assistant             qdbusxml2cpp      qmlprofiler
designer              qdoc              qmltestrunner
fixqt4headers.pl      qhelpconverter    qtattributionsscanner
lconvert              qhelpgenerator    qtdiag
linguist              qlalr             qtpaths
lrelease              qmake             qtplugininfo
lupdate               qmlcachegen       qvkgen
moc                   qmleasing         rcc
pixeltool             qmlimportscanner  syncqt.pl
qcollectiongenerator  qmllint           uic
qdbuscpp2xml          qmlmin
qdbusviewer           qmlplugindump
pb321@Lenovo:/usr/lib/qt5/bin$ qtpaths
/usr/lib/qt5/bin/qtpaths: error while loading shared libraries: libQt5Core.so.5: cannot open shared object file: No such file or directory
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Re: download_and_compile.sh on Debian on WSL

Postby rominet » Tue Jun 16, 2020 2:59 pm

Yes, your Qt install appears to be broken. On Debian unstable amd64, /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 and its destination (it is a symlink) are in package libqt5core5a.
rominet
 
Posts: 577
Joined: Sat Nov 01, 2014 1:33 pm
Callsign: F-KATS
Version: Git next
OS: Debian GNU/Linux

Re: download_and_compile.sh on Debian on WSL

Postby pb321 » Tue Jun 16, 2020 3:05 pm

After reading the following link I found libQtCore.so, libQtCore.so.4, libQtCore.so.4.8 and libQtCore.so.4.8.7 in /usr/lib/x86_64-linux-gnu, if that helps at all.

Code: Select all
pb321@Lenovo:/usr/lib/x86_64-linux-gnu$ ls libQt*
libQt3Support.prl
libQt3Support.so
libQt3Support.so.4
libQt3Support.so.4.8
libQt3Support.so.4.8.7
libQt5AccessibilitySupport.a
libQt5AccessibilitySupport.prl
libQt5Concurrent.prl
libQt5Concurrent.so
libQt5Concurrent.so.5
libQt5Concurrent.so.5.11
libQt5Concurrent.so.5.11.3
libQt5Core.prl
libQt5Core.so
libQt5Core.so.5
libQt5Core.so.5.11
libQt5Core.so.5.11.3
libQt5DBus.prl
libQt5DBus.so
libQt5DBus.so.5
libQt5DBus.so.5.11
libQt5DBus.so.5.11.3
libQt5DesignerComponents.prl
libQt5DesignerComponents.so
libQt5DesignerComponents.so.5
libQt5DesignerComponents.so.5.11
libQt5DesignerComponents.so.5.11.3
libQt5Designer.prl
libQt5Designer.so
libQt5Designer.so.5
libQt5Designer.so.5.11
libQt5Designer.so.5.11.3
libQt5DeviceDiscoverySupport.a
libQt5DeviceDiscoverySupport.prl
libQt5EdidSupport.a
libQt5EdidSupport.prl
libQt5EglFSDeviceIntegration.prl
libQt5EglFSDeviceIntegration.so
libQt5EglFSDeviceIntegration.so.5
libQt5EglFSDeviceIntegration.so.5.11
libQt5EglFSDeviceIntegration.so.5.11.3
libQt5EglFsKmsSupport.prl
libQt5EglFsKmsSupport.so
libQt5EglFsKmsSupport.so.5
libQt5EglFsKmsSupport.so.5.11
libQt5EglFsKmsSupport.so.5.11.3
libQt5EglSupport.a
libQt5EglSupport.prl
libQt5EventDispatcherSupport.a
libQt5EventDispatcherSupport.prl
libQt5FbSupport.a
libQt5FbSupport.prl
libQt5FontDatabaseSupport.a
libQt5FontDatabaseSupport.prl
libQt5GlxSupport.a
libQt5GlxSupport.prl
libQt5Gui.prl
libQt5Gui.so
libQt5Gui.so.5
libQt5Gui.so.5.11
libQt5Gui.so.5.11.3
libQt5Help.prl
libQt5Help.so
libQt5Help.so.5
libQt5Help.so.5.11
libQt5Help.so.5.11.3
libQt5InputSupport.a
libQt5InputSupport.prl
libQt5KmsSupport.a
libQt5KmsSupport.prl
libQt5LinuxAccessibilitySupport.a
libQt5LinuxAccessibilitySupport.prl
libQt5Network.prl
libQt5Network.so
libQt5Network.so.5
libQt5Network.so.5.11
libQt5Network.so.5.11.3
libQt5OpenGLExtensions.a
libQt5OpenGLExtensions.prl
libQt5OpenGL.prl
libQt5OpenGL.so
libQt5OpenGL.so.5
libQt5OpenGL.so.5.11
libQt5OpenGL.so.5.11.3
libQt5PacketProtocol.a
libQt5PacketProtocol.prl
libQt5PlatformCompositorSupport.a
libQt5PlatformCompositorSupport.prl
libQt5Positioning.so.5
libQt5Positioning.so.5.11
libQt5Positioning.so.5.11.3
libQt5PrintSupport.prl
libQt5PrintSupport.so
libQt5PrintSupport.so.5
libQt5PrintSupport.so.5.11
libQt5PrintSupport.so.5.11.3
libQt5QmlDebug.a
libQt5QmlDebug.prl
libQt5QmlDevTools.a
libQt5QmlDevTools.prl
libQt5Qml.prl
libQt5Qml.so
libQt5Qml.so.5
libQt5Qml.so.5.11
libQt5Qml.so.5.11.3
libQt5QuickParticles.prl
libQt5QuickParticles.so
libQt5QuickParticles.so.5
libQt5QuickParticles.so.5.11
libQt5QuickParticles.so.5.11.3
libQt5Quick.prl
libQt5Quick.so
libQt5Quick.so.5
libQt5Quick.so.5.11
libQt5Quick.so.5.11.3
libQt5QuickTest.prl
libQt5QuickTest.so
libQt5QuickTest.so.5
libQt5QuickTest.so.5.11
libQt5QuickTest.so.5.11.3
libQt5QuickWidgets.prl
libQt5QuickWidgets.so
libQt5QuickWidgets.so.5
libQt5QuickWidgets.so.5.11
libQt5QuickWidgets.so.5.11.3
libQt5Sensors.so.5
libQt5Sensors.so.5.11
libQt5Sensors.so.5.11.3
libQt5ServiceSupport.a
libQt5ServiceSupport.prl
libQt5Sql.prl
libQt5Sql.so
libQt5Sql.so.5
libQt5Sql.so.5.11
libQt5Sql.so.5.11.3
libQt5Svg.prl
libQt5Svg.so
libQt5Svg.so.5
libQt5Svg.so.5.11
libQt5Svg.so.5.11.3
libQt5Test.prl
libQt5Test.so
libQt5Test.so.5
libQt5Test.so.5.11
libQt5Test.so.5.11.3
libQt5ThemeSupport.a
libQt5ThemeSupport.prl
libQt5UiTools.a
libQt5UiTools.prl
libQt5VulkanSupport.a
libQt5VulkanSupport.prl
libQt5WebChannel.so.5
libQt5WebChannel.so.5.11
libQt5WebChannel.so.5.11.3
libQt5WebKit.so.5
libQt5WebKit.so.5.212.0
libQt5WebKitWidgets.so.5
libQt5WebKitWidgets.so.5.212.0
libQt5WebSockets.prl
libQt5WebSockets.so
libQt5WebSockets.so.5
libQt5WebSockets.so.5.11
libQt5WebSockets.so.5.11.3
libQt5Widgets.prl
libQt5Widgets.so
libQt5Widgets.so.5
libQt5Widgets.so.5.11
libQt5Widgets.so.5.11.3
libQt5XcbQpa.prl
libQt5XcbQpa.so
libQt5XcbQpa.so.5
libQt5XcbQpa.so.5.11
libQt5XcbQpa.so.5.11.3
libQt5Xml.prl
libQt5Xml.so
libQt5Xml.so.5
libQt5Xml.so.5.11
libQt5Xml.so.5.11.3
libQtCLucene.prl
libQtCLucene.so
libQtCLucene.so.4
libQtCLucene.so.4.8
libQtCLucene.so.4.8.7
libQtCore.prl
libQtCore.so
libQtCore.so.4
libQtCore.so.4.8
libQtCore.so.4.8.7
libQtDBus.prl
libQtDBus.so
libQtDBus.so.4
libQtDBus.so.4.8
libQtDBus.so.4.8.7
libQtDeclarative.prl
libQtDeclarative.so
libQtDeclarative.so.4
libQtDeclarative.so.4.8
libQtDeclarative.so.4.8.7
libQtDesignerComponents.prl
libQtDesignerComponents.so
libQtDesignerComponents.so.4
libQtDesignerComponents.so.4.8
libQtDesignerComponents.so.4.8.7
libQtDesigner.prl
libQtDesigner.so
libQtDesigner.so.4
libQtDesigner.so.4.8
libQtDesigner.so.4.8.7
libQtGui.prl
libQtGui.so
libQtGui.so.4
libQtGui.so.4.8
libQtGui.so.4.8.7
libQtHelp.prl
libQtHelp.so
libQtHelp.so.4
libQtHelp.so.4.8
libQtHelp.so.4.8.7
libQtNetwork.prl
libQtNetwork.so
libQtNetwork.so.4
libQtNetwork.so.4.8
libQtNetwork.so.4.8.7
libQtOpenGL.prl
libQtOpenGL.so
libQtOpenGL.so.4
libQtOpenGL.so.4.8
libQtOpenGL.so.4.8.7
libQtScript.prl
libQtScript.so
libQtScript.so.4
libQtScript.so.4.8
libQtScript.so.4.8.7
libQtScriptTools.prl
libQtScriptTools.so
libQtScriptTools.so.4
libQtScriptTools.so.4.8
libQtScriptTools.so.4.8.7
libQtSql.prl
libQtSql.so
libQtSql.so.4
libQtSql.so.4.8
libQtSql.so.4.8.7
libQtSvg.prl
libQtSvg.so
libQtSvg.so.4
libQtSvg.so.4.8
libQtSvg.so.4.8.7
libQtTest.prl
libQtTest.so
libQtTest.so.4
libQtTest.so.4.8
libQtTest.so.4.8.7
libQtUiTools.a
libQtUiTools.prl
libQtXmlPatterns.prl
libQtXmlPatterns.so
libQtXmlPatterns.so.4
libQtXmlPatterns.so.4.8
libQtXmlPatterns.so.4.8.7
libQtXml.prl
libQtXml.so
libQtXml.so.4
libQtXml.so.4.8
libQtXml.so.4.8.7
Last edited by pb321 on Tue Jun 16, 2020 3:18 pm, edited 1 time in total.
pb321
 
Posts: 245
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2020.2.1
OS: Windows 10 Pro

Next

Return to Compiling

Who is online

Users browsing this forum: No registered users and 2 guests